# GoogleMobileAds.Ump.Api.ConsentInformation

Utility methods for managing consent information from users.

## Summary

| ### Properties ||
|---|---|
| `https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/consent-information#class_google_mobile_ads_1_1_ump_1_1_api_1_1_consent_information_1abacd73007dac5a12f2ba707803b42423` | `static https://developers.google.com/admob/unity/reference/namespace/google-mobile-ads/ump/api#namespace_google_mobile_ads_1_1_ump_1_1_api_1aa83ad2ecf6f2a08c584b60cef06f5133` The user's consent status. |
| `https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/consent-information#class_google_mobile_ads_1_1_ump_1_1_api_1_1_consent_information_1ac36628db375fe88760d15c5ffbf71a11` | `static https://developers.google.com/admob/unity/reference/namespace/google-mobile-ads/ump/api#namespace_google_mobile_ads_1_1_ump_1_1_api_1a60f41ef4f7e14d5ae1fb5f23b7e0244b` Privacy options requirement status. |

| ### Public static functions ||
|---|---|
| `https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/consent-information#class_google_mobile_ads_1_1_ump_1_1_api_1_1_consent_information_1a9a0eec58c07401d66549f5ebaf512696()` | `bool` Check if the app has finished all the required consent flow and can request ads now. |
| `https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/consent-information#class_google_mobile_ads_1_1_ump_1_1_api_1_1_consent_information_1a2050b297b2ec27745446e8ef50daf628()` | `bool` Returns `true` if a [ConsentForm](https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/consent-form#class_google_mobile_ads_1_1_ump_1_1_api_1_1_consent_form) is available, otherwise returns `false`. |
| `https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/consent-information#class_google_mobile_ads_1_1_ump_1_1_api_1_1_consent_information_1a73df3ea825acf03628988f28ceb897e5()` | `void` Clears all consent status from persistent storage. |
| `https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/consent-information#class_google_mobile_ads_1_1_ump_1_1_api_1_1_consent_information_1ab1ba02caaef0508da01eeb3d537d8c69(https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/consent-request-parameters#class_google_mobile_ads_1_1_ump_1_1_api_1_1_consent_request_parameters request, Action< https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/form-error#class_google_mobile_ads_1_1_ump_1_1_api_1_1_form_error > consentInfoUpdateCallback)` | `void` Requests consent information update. |

## Properties

### ConsentStatus

```c#
static ConsentStatus ConsentStatus
```
The user's consent status.

This value is cached between app sessions and can be read before requesting updated parameters.

### PrivacyOptionsRequirementStatus

```c#
static PrivacyOptionsRequirementStatus PrivacyOptionsRequirementStatus
```
Privacy options requirement status.

## Public static functions

### CanRequestAds

```c#
bool CanRequestAds()
```
Check if the app has finished all the required consent flow and can request ads now.

### IsConsentFormAvailable

```c#
bool IsConsentFormAvailable()
```
Returns `true` if a [ConsentForm](https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/consent-form#class_google_mobile_ads_1_1_ump_1_1_api_1_1_consent_form) is available, otherwise returns `false`.

### Reset

```c#
void Reset()
```
Clears all consent status from persistent storage.

### Update

```c#
void Update(
  ConsentRequestParameters request,
  Action< FormError > consentInfoUpdateCallback
)
```
Requests consent information update.

<br />

Details Parameters `request` The request params. `consentInfoUpdateCallback` Called when client updates ConsentStatus or returns a [FormError](https://developers.google.com/admob/unity/reference/class/google-mobile-ads/ump/api/form-error#class_google_mobile_ads_1_1_ump_1_1_api_1_1_form_error) argument with ErrorCode and Message.